﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace DropDown_f119307
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            this.brandSelect.DataSource = new TabData().GetTabItems();
        }
        public class TabData
        {

            public TabData(int _id, string _value, string _text)
            {
                this.ID = _id;
                this.Value = _value;
                this.Text = _text;
            }
            public TabData()
            {

            }
            public int ID
            {
                get;
                set;
            }
            public string Text
            {
                get;
                set;
            }
            public string Value
            {
                get;
                set;
            }

            public List<TabData> GetTabItems()
            {
                List<TabData> data = new List<TabData>();
                data.Add(new TabData(1,"Rail", "Railways"));
                data.Add(new TabData(2,"Road", "Roadways"));
                data.Add(new TabData(3,"Air", "Airways"));
                data.Add(new TabData(4,"Water", "Waterways"));
                data.Add(new TabData(5,"ET Rail", "Electric Trains"));
                data.Add(new TabData(6,"DT Rail", "Diesel Trains"));
                data.Add(new TabData(7,"HV Road", "Heavy Motor Vehicles"));
                data.Add(new TabData(8,"LV Road", "Light Motor Vehicles"));
                data.Add(new TabData(9, "AP Air","Aeroplanes"));
                data.Add(new TabData(10,"HT Air", "Helicopters"));
                data.Add(new TabData(11,"SP Water", "Ships"));
                data.Add(new TabData(12,"SM Water", "Submarines"));

                return data;
            }
        }

        protected void DropDownList_ValueSelect(object sender, Syncfusion.JavaScript.Web.DropdownListEventArgs e)
        {

        }

        protected void btn1_Click(object sender, EventArgs e)
        {
            lbl.Text = "";
            foreach (string val in brandSelect.Text.Split(','))
            {
                lbl.Text += val+" , ";
            }
        }

    }
}